ResourcesCredits
Create a credits product
Create a credits product with one default CREDITS variant.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://sell.app/api/v2/credit-products" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "visibility": "PUBLIC" }'{
"data": {
"id": 0,
"store_id": 0,
"title": "string",
"slug": "string",
"description": "string",
"visibility": "PUBLIC",
"type": "credits",
"is_draft": true,
"is_discoverable": true,
"section_id": 0,
"default_variant": {
"id": 0,
"price_cents": 0,
"currency": "string",
"minimum_purchase_quantity": 1,
"maximum_purchase_quantity": 0,
"quantity_increment": 1,
"stock": 0,
"payment_methods": [
"string"
],
"rate_tiers": [
{
"min_quantity": 100,
"max_quantity": 999,
"unit_price": "0.5000"
}
]
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}